<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0" xmlns:xhtml=" ">
    
    <!--Jeglichen Whitespace aus dem Quelldokument entfernen -->  
    <xsl:strip-space elements="*"/>
    
    <!--Kopieren aller Elemente die nicht  genauer definiert sind-->
    <xsl:template match="*|text()|@*">
        <xsl:copy>
            <xsl:apply-templates select="text()|*|@*"/>
        </xsl:copy>
    </xsl:template>
    
    
    <!--    Hier die weiteren templates einfügen ... -->
    <xsl:template match="article">
        <xsl:element name="text-container">
            <xsl:apply-templates/>    
        </xsl:element>
    </xsl:template>    
    
    <xsl:template match="para">
        <xsl:element name="p">
            <xsl:apply-templates/>
        </xsl:element>
        <xsl:text>&#x000a;</xsl:text>
    </xsl:template>

<!-- Entfernen der Struktur und Umsetzung der Titel in spezifische Tags-->
    <xsl:template match="article/title">
        <xsl:element name="h1">
            <xsl:apply-templates/>
        </xsl:element>
        <xsl:text>&#x000a;</xsl:text>
    </xsl:template>
    <xsl:template match="section/title">
        <xsl:element name="h2">
            <xsl:apply-templates/>
        </xsl:element>
        <xsl:text>&#x000a;</xsl:text>
    </xsl:template>
    <xsl:template match="section/section/title">
        <xsl:element name="h3">
            <xsl:apply-templates/>
        </xsl:element>
        <xsl:text>&#x000a;</xsl:text>
    </xsl:template>
    

<!--    Hervorhebungen werden immer fett umgesetzt-->
    <xsl:template match="emphasis">
        <xsl:element name="fett">
            <xsl:apply-templates/>
        </xsl:element>
    </xsl:template>
 
    <!--    entfernen der Hierarchie-->
    <xsl:template match="section">
        <xsl:apply-templates/>
    </xsl:template>
    
    <!--    das wird momentan verworfen -->
    <xsl:template match="footnote"/>
        
    
    <xsl:template match="mediaobject">
        <xsl:element name="bild">
            <xsl:attribute name="href">
                <xsl:value-of select="imageobject/imagedata/@fileref"></xsl:value-of>
            </xsl:attribute>
            <xsl:element name="bu">
                <xsl:value-of select="caption"></xsl:value-of>
            </xsl:element>
        </xsl:element>
        <xsl:text>&#x000a;</xsl:text>        
    </xsl:template>
    

<!-- Umsetzung der Nummerierung -->
    
    <xsl:template match="itemizedlist">
        <xsl:element name="list">
            <xsl:apply-templates/>
        </xsl:element>
    </xsl:template>

<xsl:template match="listitem">
    <xsl:element name="nr">
        <xsl:value-of select="position()"></xsl:value-of>
    </xsl:element>
    <xsl:text>&#x0009;</xsl:text>
    <xsl:element name="item">
        <xsl:apply-templates/>
    </xsl:element>
</xsl:template>
    
</xsl:stylesheet>

